import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()

    def forward(self, a, b, c):
        return torch.sign(a) * b + c

batch_size = 4096
dim = 1024

def get_inputs():
    a = torch.randn(batch_size, dim)
    b = torch.randn(batch_size, dim)
    c = torch.randn(batch_size, dim)
    return [a, b, c]

def get_init_inputs():
    return []